<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ORCallForwardAll StructType
 * @subpackage Structs
 */
class ORCallForwardAll extends AbstractStructBase
{
    /**
     * The callingSearchSpaceName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var ORFkType
     */
    public $callingSearchSpaceName;
    /**
     * The secondaryCallingSearchSpaceName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var ORFkType
     */
    public $secondaryCallingSearchSpaceName;
    /**
     * Constructor method for ORCallForwardAll
     * @uses ORCallForwardAll::setCallingSearchSpaceName()
     * @uses ORCallForwardAll::setSecondaryCallingSearchSpaceName()
     * @param ORFkType $callingSearchSpaceName
     * @param ORFkType $secondaryCallingSearchSpaceName
     */
    public function __construct(ORFkType $callingSearchSpaceName = null, ORFkType $secondaryCallingSearchSpaceName = null)
    {
        $this
            ->setCallingSearchSpaceName($callingSearchSpaceName)
            ->setSecondaryCallingSearchSpaceName($secondaryCallingSearchSpaceName);
    }
    /**
     * Get callingSearchSpaceName value
     * @return ORFkType|null
     */
    public function getCallingSearchSpaceName()
    {
        return $this->callingSearchSpaceName;
    }
    /**
     * Set callingSearchSpaceName value
     * @param ORFkType $callingSearchSpaceName
     * @return ORCallForwardAll
     */
    public function setCallingSearchSpaceName(ORFkType $callingSearchSpaceName = null)
    {
        $this->callingSearchSpaceName = $callingSearchSpaceName;
        return $this;
    }
    /**
     * Get secondaryCallingSearchSpaceName value
     * @return ORFkType|null
     */
    public function getSecondaryCallingSearchSpaceName()
    {
        return $this->secondaryCallingSearchSpaceName;
    }
    /**
     * Set secondaryCallingSearchSpaceName value
     * @param ORFkType $secondaryCallingSearchSpaceName
     * @return ORCallForwardAll
     */
    public function setSecondaryCallingSearchSpaceName(ORFkType $secondaryCallingSearchSpaceName = null)
    {
        $this->secondaryCallingSearchSpaceName = $secondaryCallingSearchSpaceName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return ORCallForwardAll
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
